[Python-modules-commits] r25600 - in packages/python-axiom/trunk/debian (4 files)

mithrandi at users.alioth.debian.org mithrandi at users.alioth.debian.org
Fri Aug 16 03:51:11 UTC 2013


    Date: Friday, August 16, 2013 @ 03:51:09
  Author: mithrandi
Revision: 25600

* Switch to trigger-based handling of plugin caches.
  - We now use the twisted-plugins-cache trigger to rebuild the Twisted
    plugins cache as well as providing our own axiom-plugins-cache trigger.

Added:
  packages/python-axiom/trunk/debian/python-axiom.triggers
Modified:
  packages/python-axiom/trunk/debian/changelog
  packages/python-axiom/trunk/debian/python-axiom.postinst
  packages/python-axiom/trunk/debian/python-axiom.postrm

Modified: packages/python-axiom/trunk/debian/changelog
===================================================================
--- packages/python-axiom/trunk/debian/changelog	2013-08-16 03:36:30 UTC (rev 25599)
+++ packages/python-axiom/trunk/debian/changelog	2013-08-16 03:51:09 UTC (rev 25600)
@@ -6,6 +6,9 @@
   * Bump Python version specification (upstream only supports 2.6 and 2.7).
   * Drop no longer needed python-twisted-conch dependency. (Closes: #591282)
   * Clean up plugin cache in postrm. (Closes: #672154)
+  * Switch to trigger-based handling of plugin caches.
+    - We now use the twisted-plugins-cache trigger to rebuild the Twisted
+      plugins cache as well as providing our own axiom-plugins-cache trigger.
 
  -- Tristan Seligmann <mithrandi at debian.org>  Sun, 11 Aug 2013 07:45:02 +0200
 

Modified: packages/python-axiom/trunk/debian/python-axiom.postinst
===================================================================
--- packages/python-axiom/trunk/debian/python-axiom.postinst	2013-08-16 03:36:30 UTC (rev 25599)
+++ packages/python-axiom/trunk/debian/python-axiom.postinst	2013-08-16 03:51:09 UTC (rev 25600)
@@ -4,11 +4,20 @@
 
 #DEBHELPER#
 
+rebuild_cache() {
+    for p in $(pyversions -i); do
+        $p -c 'from twisted.plugin import IPlugin, getPlugins; import axiom.plugins; list(getPlugins(IPlugin, axiom.plugins))' >/dev/null 2>&1 || true
+    done
+}
+
 case "$1" in
+    triggered)
+        if [ "$2" = "axiom-plugins-cache" ]; then
+            rebuild_cache
+        fi
+        ;;
     configure)
-        for p in $(pyversions -i); do
-            $p -c 'from twisted.plugin import IPlugin, getPlugins; import axiom.plugins; list(getPlugins(IPlugin)); list(getPlugins(IPlugin, axiom.plugins))' >/dev/null 2>&1 || true
-        done
+        rebuild_cache
         ;;
 esac
 

Modified: packages/python-axiom/trunk/debian/python-axiom.postrm
===================================================================
--- packages/python-axiom/trunk/debian/python-axiom.postrm	2013-08-16 03:36:30 UTC (rev 25599)
+++ packages/python-axiom/trunk/debian/python-axiom.postrm	2013-08-16 03:51:09 UTC (rev 25600)
@@ -2,13 +2,8 @@
 
 set -e
 
-#DEBHELPER#
-
 case "$1" in
     remove|purge)
-        for p in $(pyversions -i); do
-            $p -c 'from twisted.plugin import IPlugin, getPlugins; list(getPlugins(IPlugin))' >/dev/null 2>&1 || true
-        done
         find /usr/lib/python[23].*/*-packages/axiom/plugins \
             -name dropin.cache 2>/dev/null | xargs -r rm -f
         for d in /usr/lib/python[23].*/*-packages/axiom/plugins; do
@@ -17,4 +12,6 @@
         ;;
 esac
 
+#DEBHELPER#
+
 exit 0

Added: packages/python-axiom/trunk/debian/python-axiom.triggers
===================================================================
--- packages/python-axiom/trunk/debian/python-axiom.triggers	                        (rev 0)
+++ packages/python-axiom/trunk/debian/python-axiom.triggers	2013-08-16 03:51:09 UTC (rev 25600)
@@ -0,0 +1,2 @@
+activate-noawait twisted-plugins-cache
+interest-noawait axiom-plugins-cache




More information about the Python-modules-commits mailing list